﻿@page
@model BeamAndGo.Member.Web.Pages.InviteModel
@{
    ViewData["Title"] = "Send Invite";
    if (Model.IsXHR) Layout = null;
    else Layout = "_Layout";

    var str = string.Empty;
}


<style>
    .iti {
        width: 100% !important;
    }

    .invite-phone {
        padding-left: 90px !important;
    }
</style>

<div class="uk-margin-small">
    <h3>Invite a family or a friend to use Beam&amp;Go!</h3>
    <p class="uk-form-label uk-text-justify">
        Please enter the phone number or email address of your invitee and click on the arrow to send them a message.
    </p>

    <h4><span>Invite via SMS</span></h4>

    <form asp-page-handler="inviteSms" method="post" asp-antiforgery="true" autocomplete="on" data-ajax="true" data-ajax-method="post" data-ajax-success="sendInviteSuccess" data-ajax-failure="sendInviteFailed">
        <div class="uk-child-width-expand uk-grid-small uk-margin-small-top uk-margin-small-bottom" uk-grid>
            <div class="uk-width-expand">
                <input id="invite-phone" class="uk-input invite-phone" type="tel" name="Phone" asp-for="@Model.MobileNumber" placeholder="Mobile number">
                <input type="hidden" id="new-invite-mobile" asp-for="@Model.MobileNumber">
                <input type="hidden" id="new-invite-calling-code" asp-for="@Model.CallingCode">
                <span asp-validation-for="@Model.MobileNumber" id="invite-phone-error" class="uk-text-danger uk-text-small"></span>
            </div>
            <div class="uk-width-auto">
                <button class="uk-button uk-button-primary uk-align-right uk-margin-remove-bottom" style="padding:0px 10px; margin-left:0px" type="submit"><i class="fas fa-paper-plane"></i></button>
            </div>
        </div>
    </form>

    <!-- <hr class="uk-divider-icon"> -->

    <h4><span>Invite via Email</span></h4>

    <form asp-page-handler="InviteEmail" method="post" asp-antiforgery="true" autocomplete="on" data-ajax="true" data-ajax-method="post" data-ajax-success="sendInviteSuccess" data-ajax-failure="sendInviteFailed">
        <div class="uk-child-width-expand uk-grid-small uk-margin-small-bottom" uk-grid>
            <div class="uk-width-expand">
                <input asp-for="@Model.Email" class="uk-input" type="email" placeholder="E-mail address">
            </div>
            <div class="uk-width-auto">
                <button class="uk-button uk-button-primary uk-align-right uk-margin-remove-bottom" style="padding:0px 10px; margin-left:0px" type="submit"><i class="fas fa-paper-plane"></i></button>
            </div>

        </div>
    </form>
</div>


<script>
    //Mobile Number
    var inputInvite = document.querySelector("#invite-phone");
    var itiInvite = window.intlTelInput(inputInvite, {
        autoPlaceholder: "off",
        separateDialCode: true,
        initialCountry: '@Model.MemberCountryCode',
        preferredCountries: ["AU", "CA", "HK", "JP", "MY", "PH", "QA", "SA", "SG", "TW", "AE", "US", "GB"],
        utilsScript:  '@Model.StaticAssetsUrl/js/intl-tel-input/intlTelutils.min.js',
    });

    function handleInviteChange() {
        let country_code = itiInvite.getSelectedCountryData()["dialCode"];
        let number_with_code = itiInvite.getNumber();

        $("#new-invite-mobile").val(number_with_code.replace("+" + country_code, ""));
        $("#new-invite-calling-code").val(country_code.replace("+", ""));
    }

    sendInviteSuccess = (xhr) => {
        UIkit.modal("#bng-modal").hide();
        showSuccessNotification(xhr);
    };
    sendInviteFailed = (xhr) => {
        showErrorNotification(xhr.responseText);
    };

    inputInvite.addEventListener("countrychange", handleInviteChange);
    inputInvite.addEventListener('change', handleInviteChange);
    inputInvite.addEventListener('keyup', handleInviteChange);
</script>
